<?php

namespace Ardent\UtilBundle\EntityBuilder;

use Symfony\Component\Console\Question\Question;

class BaseElement
{
    public function getQuestion(): Question
    {
        $name = ucfirst(strtolower(implode(' ', preg_split('/(?=[A-Z])/', $this->getProperty()))));
        return new Question($name);
    }

    public function __construct(
        private readonly string $property,
        private readonly array  $config = [],
    )
    {
    }

    public function getProperty(): string
    {
        return $this->property;
    }

    public function __toString(): string
    {
        return $this->property;
    }
}